#include "not_cdt.h"

#include <afxwin.h>

namespace roy {

    namespace ih {

        not_cdt::not_cdt(const ref_ptr_Cdt& cdt)
        {
            if (cdt == NULL) {
                assert(false);
            }

            _cdt = cdt;
        }

        void not_cdt::OnEntering(void)
        {
            _cdt->OnEntering();
        }

        void not_cdt::OnLeaving(void)
        {
            _cdt->OnLeaving();
        }

        bool not_cdt::OnLButtonDown(UINT nFlags, CPoint point)
        {
            _cdt->OnLButtonDown(nFlags, point);

            return false;
        }

        bool not_cdt::OnLButtonUp(UINT nFlags, CPoint point)
        {
            _cdt->OnLButtonUp(nFlags, point);

            return false;
        }

        bool not_cdt::OnLButtonDblClk(UINT nFlags, CPoint point)
        {
            _cdt->OnLButtonDblClk(nFlags, point);

            return false;
        }

        bool not_cdt::OnRButtonDown(UINT nFlags, CPoint point)
        {
            _cdt->OnRButtonDown(nFlags, point);

            return false;
        }

        bool not_cdt::OnRButtonUp(UINT nFlags, CPoint point)
        {
            _cdt->OnRButtonUp(nFlags, point);

            return false;
        }

        bool not_cdt::OnRButtonDblClk(UINT nFlags, CPoint point)
        {
            _cdt->OnRButtonDblClk(nFlags, point);

            return false;
        }

        bool not_cdt::OnMButtonDown(UINT nFlags, CPoint point)
        {
            _cdt->OnMButtonDown(nFlags, point);

            return false;
        }

        bool not_cdt::OnMButtonUp(UINT nFlags, CPoint point)
        {
            _cdt->OnMButtonUp(nFlags, point);

            return false;
        }

        bool not_cdt::OnMButtonDblClk(UINT nFlags, CPoint point)
        {
            _cdt->OnMButtonDblClk(nFlags, point);

            return false;
        }

        bool not_cdt::OnMouseMove(UINT nFlags, CPoint point)
        {
            _cdt->OnMouseMove(nFlags, point);

            return false;
        }

        bool not_cdt::OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags)
        {
           _cdt->OnKeyDown(nChar, nRepCnt, nFlags);

            return false;
        }

        bool not_cdt::OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags)
        {
            _cdt->OnKeyUp(nChar, nRepCnt, nFlags);

            return false;
        }

        bool not_cdt::is_valid(void)
        {
            return !_cdt->is_valid();
        }

    }

}